SystemOrganization addCategory: #Spotify!

Object subclass: #SpotifyApiCall
	instanceVariableNames: 'apiMethod queryString searchType returnFormat resultsCount'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Spotify'!

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/8/2012 22:37'!
apiMethod
	^ apiMethod! !

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/8/2012 22:37'!
apiMethod: anObject
	apiMethod := anObject! !

!SpotifyApiCall methodsFor: 'api-calls' stamp: 'SergioRuiz 9/9/2012 01:54'!
getQueryResults
	"comment stating purpose of message"
	|tracks  results|
	
	results := self queryUrl  asUrl retrieveContents contentStream.
	tracks := NeoJSONReader fromString: results.

^ tracks ! !

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/8/2012 23:21'!
initialize
	"comment stating purpose of message"
	super initialize.
	apiMethod  := 'search'.
	searchType := 'track'.
	queryString := 'initString'.
	returnFormat := 'json'.
	baseUrl := 'http://ws.spotify.com/', apiMethod , '/1/', searchType, '.', returnFormat,  '?q=', queryString .
	^ self
! !

!SpotifyApiCall methodsFor: 'setup' stamp: 'SergioRuiz 9/9/2012 02:14'!
parseJson
	"Takes the json results and makes a list of spotify tracks"
! !

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/9/2012 00:41'!
queryString
	^ queryString encodeForHTTP ! !

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/8/2012 22:37'!
queryString: anObject
	queryString := anObject! !

!SpotifyApiCall methodsFor: 'setup' stamp: 'SergioRuiz 9/9/2012 01:07'!
queryUrl
	|url|
	
	url := 'http://ws.spotify.com/', apiMethod , '/1/', searchType, '.', returnFormat,  '?q=', self queryString.

	^ url! !

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/8/2012 23:20'!
returnFormat
	^ returnFormat! !

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/8/2012 23:20'!
returnFormat: anObject
	returnFormat := anObject! !

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/8/2012 23:20'!
searchType
	^ searchType! !

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/8/2012 23:20'!
searchType: anObject
	searchType := anObject! !

Object subclass: #SpotifyTrack
	instanceVariableNames: 'title album artist spotifyID'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Spotify'!

!SpotifyTrack methodsFor: 'accessing' stamp: 'SergioRuiz 9/9/2012 02:15'!
album
	^ album! !

!SpotifyTrack methodsFor: 'accessing' stamp: 'SergioRuiz 9/9/2012 02:15'!
album: anObject
	album := anObject! !

!SpotifyTrack methodsFor: 'accessing' stamp: 'SergioRuiz 9/9/2012 02:15'!
artist
	^ artist! !

!SpotifyTrack methodsFor: 'accessing' stamp: 'SergioRuiz 9/9/2012 02:15'!
artist: anObject
	artist := anObject! !

!SpotifyTrack methodsFor: 'accessing' stamp: 'SergioRuiz 9/9/2012 02:15'!
spotifyID
	^ spotifyID! !

!SpotifyTrack methodsFor: 'accessing' stamp: 'SergioRuiz 9/9/2012 02:15'!
spotifyID: anObject
	spotifyID := anObject! !

!SpotifyTrack methodsFor: 'accessing' stamp: 'SergioRuiz 9/9/2012 02:15'!
title
	^ title! !

!SpotifyTrack methodsFor: 'accessing' stamp: 'SergioRuiz 9/9/2012 02:15'!
title: anObject
	title := anObject! !
